<a href="https://dev-zle.offis.de" class="logo">
    <img src="/competence/assets/logo-zle.svg" alt="Logo Zunkunftslabor Energie" width="250px">
</a>

<!-- Navigationsteil -->
<ul class="nav">
    <li><a routerLink="/">Competence</a></li>
    <li><a href="https://dev-zle.offis.de/methods">Methods</a></li>
    <li><a href="https://dev-zle-repo.offis.de/">Repository</a></li>
    <li><a href="https://dev-zle.offis.de/simulation">Simulation</a></li>
    <li><a href="https://dev-zle.offis.de/transparency/">Transparency</a></li>
</ul>


<div class="menu">
    <a class="menuIcons" href="https://dev-zle.offis.de/search">
        <button mat-icon-button>
            <mat-icon>search</mat-icon>
        </button>
        <br>
        Search
    </a>
    <a class="menuIcons" href="https://dev-zle.offis.de/aboutus.html">
        <button mat-icon-button>
            <mat-icon>group</mat-icon>
        </button>
        <br>
        About us
    </a>
    <a class="menuIcons" href="#">
        <button mat-icon-button>
            <mat-icon>account_circle</mat-icon>
        </button>
        <br>
        Login
    </a>

    <!-- Burger Menu Icon -->
    <!-- hier in seperatem div mit Zeilenumbruch, damit die FlexBox das Icon in der richtigen Höhe anordnet -->
    <div>
        <button class="burger" mat-icon-button [matMenuTriggerFor]="menu">
            <mat-icon>menu</mat-icon>
        </button>
        <br>
    </div>

    <!-- Inhalt des Burger Menüs -->
    <mat-menu #menu="matMenu">
        <a routerLink="/" mat-menu-item>Competence</a>
        <a href="https://dev-zle.offis.de/methods" mat-menu-item>Methods</a>
        <a href="https://dev-zle.offis.de/repository" mat-menu-item>Repository</a>
        <a href="https://dev-zle.offis.de/simulation" mat-menu-item>Simulation</a>
        <a href="https://dev-zle.offis.de/transparency/" mat-menu-item>Transparency</a>

        <!-- Hier kommen die 3 Menu-Icons hinzu, die aber ab einer Mindestbreite im CSS ausgeblendet werden -->
    <a class="addMenuIcons" href="https://dev-zle.offis.de/search/" mat-menu-item>
            <mat-icon>search</mat-icon>
            <span>Search</span>
        </a>
        <a class="addMenuIcons" href="https://dev-zle.offis.de/aboutus.html" mat-menu-item>
            <mat-icon>group</mat-icon>
            <span>About us</span>
        </a>
        <a class="addMenuIcons" href="#" mat-menu-item>
            <mat-icon>account_circle</mat-icon>
            <span>Group</span>
        </a>
    </mat-menu>
</div>
